Package org.apache.sysds.runtime.ooc.cache.collections

# Class MaskedOnceArray<T>

java.lang.Object
org.apache.sysds.runtime.ooc.cache.collections.MaskedOnceArray<T>

public class MaskedOnceArray<T> extends Object

## Constructor Summary

Constructors
Constructor
Description
`MaskedOnceArray(int length)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`clear(int i)`
`void`
`clearLive(int i)`
`boolean`
`forEachLive(IndexedObjectPredicate<? super T> action, boolean reversed, int offset)`
`void`
`forEachVisible(Consumer<? super T> action)`
`T`
`get(int i)`
`boolean`
`isEmpty()`
`boolean`
`isRetired()`
`boolean`
`put(int i, T value)`
`void`
`setLive(int i)`
`boolean`
`tryRetireIfEmpty()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MaskedOnceArray

public MaskedOnceArray(int length)

## Method Details

### put

public boolean put(int i, T value)

### clear

public boolean clear(int i)

### get

public T get(int i)

### forEachVisible

public void forEachVisible(Consumer<? super T> action)

### tryRetireIfEmpty

public boolean tryRetireIfEmpty()

### isRetired

public boolean isRetired()

### isEmpty

public boolean isEmpty()

### setLive

public void setLive(int i)

### clearLive

public void clearLive(int i)

### forEachLive

public boolean forEachLive(IndexedObjectPredicate<? super T> action, boolean reversed, int offset)